Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### float

Examples

    float a;          // Declare variable "a" of type float
    a = 1.5387;       // Assign "a" the value 1.5387
    float b = -2.984; // Declare variable "b" and assign it the value -2.984
    float c = a + b;  // Declare variable "c" and assign it the sum of "a" and "b"

Description

Datatype for floating-point numbers, a number that has a decimal point. Floating-point numbers are often used to approximate analog and continuous values because they have greater resolution than integers. Floating-point numbers can be as large as 3.40282347E+38 and as low as -3.40282347E+38. They are stored as 32 bits of information. The first time a variable is written, it must be declared with a statement expressing its datatype. Subsequent uses of this variable must not reference the datatype because Processing will think the variable is being declared again.

Syntax

    float var
    float var = value

Parameters

var | variable name referencing the float
value | any floating-point value

Usage | Web & Application
Related | int

Updated on November 22, 2008 08:39:25pm PST